import QtQuick 2.0
import Sailfish.Silica 1.0
import Net.JsonParse 1.0
//import Simple.Property 1.0
Page {
    id: page
//    onStatusChanged :{
//    if(page.status===PageStatus.Activating)
//     {
//         listView.model = jsonParser.dataList
//     }
//     }

    allowedOrientations: Orientation.All

    SilicaListView {
        id: listView

        PullDownMenu {
              MenuItem {
              text: qsTr("Settings")
              onClicked: pageStack.push(Qt.resolvedUrl("Settings.qml"))
              }
             }


        JsNetParser{
            id:jsonParser
            onJsonFieldsObjChanged:listView.model = jsonParser.dataList
        }
        anchors.fill: parent
        header: PageHeader {
            title: qsTr("Posts")
        }
        delegate: Rectangle{
                  width: parent.width
                  height: childrenRect.height + Theme.paddingMedium * 1.5 // heit like children's

                  color: "transparent"
                  border{ color: "orange";width:4}
                  Column{
                       width: parent.width
                       anchors.top: parent.top
                       anchors.left: parent.left
                       anchors.right: parent.right
                       anchors.margins: Theme.paddingMedium

                       spacing: Theme.paddingMedium
                       Label{text: "value1: " + model.modelData.userId}
                       Label{text: "value2: " + model.modelData.id}
                       Label{text: "value3: " + model.modelData.title}
                       Label {
                           text: "value4: " + model.modelData.body
                           wrapMode: Text.WordWrap
                       }
                       //для вложенных json
//                       property var insideModel: model.modelData

                  }
        }


        ViewPlaceholder {
            enabled: listView.count === 0
            text: qsTr("Список пуст")
        }
        VerticalScrollDecorator {}
    }
}
