#pragma once

#include <QList>
#include <QSharedPointer>
#include <QJsonDocument>
#include <QJsonArray>
#include <QString>
#include <QJsonValue>


#include "JsonClassFields.h"
#include "JsNetProperty.h"


class JsonParseClass : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QList<QObject*> dataList READ dataList NOTIFY jsonFieldsObjChanged)
public:
    JsonParseClass();

        Q_INVOKABLE void setNewUrl(const QString &value);


    QList<QSharedPointer<JsonClassFields>> getJsonObj();
    QJsonDocument getJsonDoc() const;
    void setJsonDoc(const QJsonDocument &value);
    QList<QObject*> dataList();

    void setJsonFieldsObj(const QList<QSharedPointer<JsonClassFields>>& value);


private slots:
    void onCompleted(const QByteArray &array);

signals:
    void jsonFieldsObjChanged();
    bool  urlIsChanged();
private:
    JsNetProperty jsNetObj;

    QList<QSharedPointer<JsonClassFields>> jsonFieldsObj;
    QJsonDocument jsDocument;
};
